Page MenuHomePhabricator

Mobile wikitext editor should re-use int:newsectionsummary as edit summary when adding new talk page sections, not its own variant int:mobile-frontend-talk-edit-summary
Closed, ResolvedPublic1 Story Points

Description

I've noticed that the mobile website does not use the usual /* Section name */ new section markup when creating new talk page sections. Rather, it uses New talk section: Section name. The /* */ markup generates a link to the section in the revision history, which can be rather useful.

Event Timeline

nyuszika7h raised the priority of this task from to Needs Triage.
nyuszika7h updated the task description. (Show Details)
nyuszika7h added a project: Mobile-Apps.
nyuszika7h added a subscriber: nyuszika7h.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 9 2016, 11:27 AM
This comment was removed by nyuszika7h.
nyuszika7h renamed this task from Mobile app does not use the usual markup to link to new talk page sections to Mobile site does not use the usual markup to link to new talk page sections.Jan 9 2016, 11:34 AM
nyuszika7h updated the task description. (Show Details)
nyuszika7h edited projects, added MobileFrontend; removed Mobile-Apps.
nyuszika7h set Security to None.
nyuszika7h updated the task description. (Show Details)
nyuszika7h updated the task description. (Show Details)Jan 9 2016, 11:44 AM
Nnemo added a subscriber: Nnemo.Jan 10 2016, 6:29 AM
bmansurov triaged this task as Normal priority.Jan 19 2016, 6:41 PM
bmansurov added a project: good first bug.

Patches welcomed!

Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Feb 18 2016, 6:45 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 27 2016, 4:18 PM

Collab recommended I tag this with VisualEditor

This doesn't seem related to a Collaboration team project.

Jdforrester-WMF renamed this task from Mobile site does not use the usual markup to link to new talk page sections to Mobile wikitext editor should re-use int:newsectionsummary as edit summary when adding new talk page sections, not its own variant int:mobile-frontend-talk-edit-summary.Jul 29 2016, 7:53 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.Aug 3 2016, 2:02 AM

Change 301908 merged by jenkins-bot:
Re-use newsectionsummary from core, not mobile-frontend-talk-edit-summary

https://gerrit.wikimedia.org/r/301908

Jdforrester-WMF closed this task as Resolved.Aug 26 2016, 3:05 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 6 2018, 11:50 PM